### Method

# Gio FileInfo get_content_type

#### Declaration [src]

    const char*
    g_file_info_get_content_type (
      GFileInfo* info
    )

#### Description [src]

Gets the file’s content type.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE`.

#### Return value

Type: `const char*`

A string containing the file’s content type, or `NULL` if unknown.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.